package extensions.reports.generic

import play.twirl.api.Html

class TimeFormField()
  extends AbstractJasperFormField {

  def this(key: String,  title: String, defaultValue: String = "12:00") = {
    this()
    keyValue = key
    titleValue = title
    this.defaultValue = defaultValue
  }

  override def render(): Html = {
    views.html.reports.generic.time(key(), defaultValue)
  }

  override def parse(value: String): AnyRef = {
    value
  }
}
