package extensions.reports.generic

import java.util.TimeZone

import play.twirl.api.Html

class TimeZoneFormField() extends AbstractJasperFormField {

  override def render(): Html = {
    views.html.reports.generic.timezone(key())
  }

  override def parse(value: String): AnyRef = {
    TimeZone.getTimeZone(value)
  }
}
