package utils.reports;

import javax.sql.DataSource;

public class Context {
    private static final ThreadLocal<DataSource> dataSource = new ThreadLocal<DataSource>() {
        @Override
        protected DataSource initialValue() {
            return null;
        }
    };

    private static final ThreadLocal<Long> dataSourceId = new ThreadLocal<Long>() {
        @Override
        protected Long initialValue() {
            return null;
        }
    };

    public static DataSource getDataSource() {
        return dataSource.get();
    }

    public static Long getDataSourceId() {
        return dataSourceId.get();
    }

    public static void setDataSource(Long id, DataSource source) {
        dataSourceId.set(id);
        dataSource.set(source);
    }
}
