package utils.reports;

public class PartialReverseRouting {

    private final ReverseRouting routing;
    private final Long datasource;

    public PartialReverseRouting(ReverseRouting routing, Long datasource) {
        this.routing = routing;
        this.datasource = datasource;
    }

    public String getApiUrl(String localPath) {
        return routing.getApiUrl(localPath, datasource);
    }

    public String getResourceUrl(String localPath) {
        return routing.getResourceUrl(localPath);
    }

}
